Subject: bug#73015: closed (Re: [bug#73015] [PATCH] Fixing texinfo macros in pt_BR localization.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 04 Sep 2024 19:24:02 +0000

Your bug report

#73015: [PATCH] Fixing texinfo macros in pt_BR localization.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73015: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73015
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#73015] [PATCH] Fixing texinfo macros in pt_BR localization.
From: "pelzflorian (Florian Pelz)" <[email-masked]>
To: Thiago Astrizi <[email-masked]>
Cc: [email-masked]
Date: Wed, 04 Sep 2024 21:21:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Instead of pushing, I’ve fixed your reported errors on Weblate and
resynced.  Along with multiple errors of the same kind in other
translations.  The @{…} error with missing texinfo markup was a good
find.  “LC_ALL=pt_BR.utf8 guix build -f gnu/packages/guile.scm” fails
with a properly displayed error message now.

Thank you!  Closing.

Regards,
Florian

Subject: [PATCH] Fixing texinfo macros in pt_BR localization.
From: Thiago Astrizi <[email-masked]>
To: [email-masked]
Date: Tue, 3 Sep 2024 20:33:14 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I use GNU guix in pt_BR and command "guix build -f" always fails
producing error message:

texinfo.scm:92:2: In procedure command-spec:
Throw to key `parser-error' with args `(#f "Unknown command" exemplo)'.

The error disappears if I change the language of my system. Checking
the localization files, I found that the pt_BR translation had some
problems in the texinfo file: some translator incorrectly translated
the name of some commands (eg. @example to @exemplo). Checking the
entire file, I identified 3 mistakes of this kind and I am sending the
patch as attachment.

-- 
--

Thiago  Leucz Astrizi
From 862c7513a18c6b68bc76f2595e69a791f23391ba Mon Sep 17 00:00:00 2001
From: Thiago Leucz Astrizi <[email-masked]>
Date: Tue, 3 Sep 2024 17:12:07 -0300
Subject: [PATCH] nls: Fixing Texinfo macros in pt-BR translation.

* po/guix/pt_BR.po: Fixing '@exemplo', '@end exempl' and missing '@file'.

The first 2 cases were macros incorrectly translated, the last was a missing macro.
---
 po/guix/pt_BR.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/po/guix/pt_BR.po b/po/guix/pt_BR.po
index ba8f7255d7..edb5a07f40 100644
--- a/po/guix/pt_BR.po
+++ b/po/guix/pt_BR.po
@@ -986,7 +986,7 @@ msgid ""
 "@code{home-environment} record."
 msgstr ""
 "Este é o @dfn{perfil do usuário} e pode ser encontrado em\n"
-"@{~/.guix-home/profile}. Ele contém pacotes e arquivos\n"
+"@file{~/.guix-home/profile}. Ele contém pacotes e arquivos\n"
 "de configuração que o usuário declarou em seu registro\n"
 "@code{home-environment}."
 
@@ -3651,13 +3651,13 @@ msgstr ""
 "Scheme no final do arquivo que consiste apenas no nome da variável do pacote\n"
 "que você definiu, como neste exemplo:\n"
 "\n"
-"@exemplo\n"
+"@example\n"
 "(define-public meu-pacote\n"
 "   (package\n"
 "     ...))\n"
 "\n"
 "meu-pacote\n"
-"@end exempl"
+"@end example"
 
 #: guix/scripts/build.scm:573
 msgid ""
-- 
2.45.2